#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 18 January 2008                                                     *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee/define=("HAVE_MALLOC_H=1",\
	"HAVE_CONFIG_H=1")/include=[]

BIN_PROGRAMS=pngtogd.exe pngtogd2.exe gdtopng.exe gd2topng.exe gd2copypal.exe\
	gdparttopng.exe webpng.exe

TEST_PROGRAMS=gdtest.exe gddemo.exe gd2time.exe gdtestft.exe testac.exe\
	fontsizetest.exe fontwheeltest.exe

PROGRAMS=$(BIN_PROGRAMS) $(TEST_PROGRAMS)


all : config.h $(PROGRAMS)
	write sys$output "all done"

config.h : config.h_vms
	copy config.h_vms config.h

gddemo.exe : gddemo.obj libgd.olb libgd.opt
	link gddemo.obj,libgd/lib,libgd/opt

testac.exe : testac.obj libgd.olb libgd.opt
	link testac.obj,libgd/lib,libgd/opt

pngtogd.exe : pngtogd.obj libgd.olb libgd.opt
	link pngtogd.obj,libgd/lib,libgd/opt

webpng.exe : webpng.obj libgd.olb libgd.opt
	link webpng.obj,libgd/lib,libgd/opt

pngtogd2.exe : pngtogd2.obj libgd.olb libgd.opt
	link pngtogd2.obj,libgd/lib,libgd/opt

gdtopng.exe : gdtopng.obj libgd.olb libgd.opt
	link gdtopng.obj,libgd/lib,libgd/opt

gd2topng.exe : gd2topng.obj libgd.olb libgd.opt
	link gd2topng.obj,libgd/lib,libgd/opt

gd2copypal.exe : gd2copypal.obj libgd.olb libgd.opt
	link gd2copypal.obj,libgd/lib,libgd/opt

gdparttopng.exe : gdparttopng.obj libgd.olb libgd.opt
	link gdparttopng.obj,libgd/lib,libgd/opt

gdtest.exe : gdtest.obj libgd.olb libgd.opt
	link gdtest.obj,libgd/lib,libgd/opt

gd2time.exe : gd2time.obj libgd.olb libgd.opt
	link gd2time.obj,libgd/lib,libgd/opt

gdtestft.exe : gdtestft.obj libgd.olb libgd.opt
	link gdtestft.obj,libgd/lib,libgd/opt

fontwheeltest.exe : fontwheeltest.obj libgd.olb libgd.opt
	link fontwheeltest.obj,libgd/lib,libgd/opt

fontsizetest.exe : fontsizetest.obj libgd.olb libgd.opt
	link fontsizetest.obj,libgd/lib,libgd/opt

LIBOBJS=gd.obj,gd_gd.obj,gd_gd2.obj,gd_io.obj,gd_io_dp.obj,\
		gd_io_file.obj,gd_ss.obj,gd_io_ss.obj,gd_png.obj,gd_jpeg.obj,\
		gdxpm.obj,\
		gdfontt.obj,gdfonts.obj,gdfontmb.obj,gdfontl.obj,gdfontg.obj,\
		gdtables.obj,gdft.obj,gdcache.obj,gdkanji.obj,wbmp.obj,\
		gd_wbmp.obj,gdhelpers.obj,gd_topal.obj,gd_gif_out.obj,\
		gd_security.obj,gd_gif_in.obj

libgd.olb : $(LIBOBJS)
	library/create libgd.olb $(LIBOBJS)

libgd.opt : libgd_vms.opt libgd_libiconv.opt
	copy libgd_vms.opt libgd.opt
	if f$search("SYS$LIBRARY:ICONV.OLB") .nes. "" then copy libgd_libiconv.opt libgd.opt 

gddemo.obj : gddemo.c
testac.obj : testac.c
pngtogd.obj : pngtogd.c
webpng.obj : webpng.c
pngtogd2.obj : pngtogd2.c
gdtopng.obj : gdtopng.c
gd2topng.obj : gd2topng.c
gd2copypal.obj : gd2copypal.c
gdparttopng.obj : gdparttopng.c
gdtest.obj : gdtest.c
gd2time.obj : gd2time.c
gdtestft.obj : gdtestft.c
fontwheeltest.obj : fontwheeltest.c
fontsizetest.obj : fontsizetest.c
gd.obj : gd.c
gd_gd.obj : gd_gd.c
gd_gd2.obj : gd_gd2.c
gd_io.obj : gd_io.c
gd_io_dp.obj : gd_io_dp.c
gd_io_file.obj : gd_io_file.c
gd_ss.obj : gd_ss.c
gd_io_ss.obj : gd_io_ss.c
gd_png.obj : gd_png.c
gd_jpeg.obj : gd_jpeg.c
gdxpm.obj : gdxpm.c
gdfontt.obj : gdfontt.c
gdfonts.obj : gdfonts.c
gdfontmb.obj : gdfontmb.c
gdfontl.obj : gdfontl.c
gdfontg.obj : gdfontg.c
gdtables.obj : gdtables.c
gdft.obj : gdft.c
gdcache.obj : gdcache.c
gdkanji.obj : gdkanji.c
wbmp.obj : wbmp.c
gd_wbmp.obj : gd_wbmp.c
gdhelpers.obj : gdhelpers.c
gd_topal.obj : gd_topal.c
gd_gif_out.obj : gd_gif_out.c
gd_gif_in.obj : gd_gif_in.c
gd_security.obj : gd_security.c
